package com.zjrs.ggfw.portal.dto;

import io.swagger.annotations.ApiModelProperty;
import com.zjrs.ggfw.portal.dto.common.PageDTO;

import jakarta.validation.constraints.NotBlank;

/**
 * <p>
 * 高校毕业生档案查询
 * </p>
 *
 * @author jobob
 * @since 2020-12-21
 */
public class GxbysdaQueryDTO extends PageDTO implements java.io.Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "姓名")
    private String aac003;

    @ApiModelProperty(value = "身份证号")
    @NotBlank(message = "身份证号不能为空")
    private String aac147;
    
    @ApiModelProperty(value = "毕业院校")
    private String bccp43;
    
    @ApiModelProperty(value = "是否使用身份证号查询")
    private String isUseSfzh = "0";//默认不使用身份证号查询

	@ApiModelProperty(value = "档案类型")
	@NotBlank(message = "档案类型不能为空")
	private String datype;

	public String getAac003() {
		return aac003;
	}

	public void setAac003(String aac003) {
		this.aac003 = aac003;
	}

	public String getAac147() {
		return aac147;
	}

	public void setAac147(String aac147) {
		this.aac147 = aac147;
	}

	public String getBccp43() {
		return bccp43;
	}

	public void setBccp43(String bccp43) {
		this.bccp43 = bccp43;
	}

	public String getIsUseSfzh() {
		return isUseSfzh;
	}

	public void setIsUseSfzh(String isUseSfzh) {
		this.isUseSfzh = isUseSfzh;
	}

	public String getDatype() {
		return datype;
	}

	public void setDatype(String datype) {
		this.datype = datype;
	}
}
